###
# NOTE: For any enemies added to the game, they shoudl be added here too.
# dont forget to require them in main.rb too
###

module EnemyCauldron
  TYPE_TO_CLASS_MAP = {
    octorok: Octorok,
    moblin: Moblin,
    armos: Armos,
    ghini: Ghini,
    statue: Tektite,
    peahat: Peahat,
    lionel: Lionel,
  }
  def self.create_enemy(args, info)
    type = info.type
    enemy_instance = nil
    case type
    when :octorok
      enemy_instance = Octorok.new(args, info)
    when :moblin
      enemy_instance = Moblin.new(args, info)
    when :armos
      enemy_instance = Armos.new(args, info)
    when :lionel
      enemy_instance = Lionel.new(args, info)
    else
      enemy_instance = Enemy.new(args, info)
    end

    enemy_instance
  end
end